<template>
  <div>
    <h3 class="header-red-bg colorWhite text-center pd-5 how-much-left">Calculate Your Earnings</h3>
    <div class="commanContent ">
      <div class="contentHowmuch">
        <p class="pb-1 textcolor font-size">Click <img :src="geturl +'new-design/copy.png'"
            class="copy-icon">to copy Pay Rate/day!</p>
        <div class="text-red inlineText">

        </div>

        <div class="col-12 col-md-12 col-sm-12">
          <div class="row centerText">
            <span class="text-color2 font-size">Pay Rate/day</span>
            <div class="label-inside-input font-size">
              <label class="text-color2 font-size spacing-left">MYR</label>
              <input type="text" class="text-red no-border position-right" id="c1-base-rate-perday" maxlength="5"
                v-model="calculateValue" />
            </div>
          </div>
        </div>


      </div>
      <div class="row f-12 rs-5">
        <div class="col-6 label-info1">

          <p class="pb-2 font-size">
            Contract Length
          </p>

          <div class="col-6">
            <div class="row">
              <div class="col-6 custom-input">
                <input name="months" class="months" v-model="contractTimeline" />
              </div>
              <div class="col-6">
                <p class="font-size spacing1">Month(s)</p>
              </div>
            </div>
          </div>
        </div>


        <div class="col-6">
          <ul class="listCheckbox font-size">
            <li class="space-bottom">
              <p class="space-bottom">Pay Rate / month</p>
              <p>MYR <span class="text-green">{{monthly}}</span></p>
            </li>
            <li class="space-bottom">
              <p class="space-bottom">Total Pay Rate</p>
              <p>MYR <span class="text-green">{{finalRate}}</span></p>
            </li>
          </ul>
        </div>
      </div>

      <p class="label-info font-size">Based on 20 mandays/month. Numbers shown are just for estimation purpose only.</p>

    </div>
  </div>
</template>

<script>
  export default {
    props: {
      calculateValue: {
        type: Number
      }
    },
    data() {
      return {
        contractTimeline: "1",
        isGuaranteeOntimePayment: false

      };
    },
    computed: {
      geturl : function() { 
    let curr = process.env.MIX_API_URL;
    this.fullurl = curr +  "/public/images/";
    return this.fullurl;
    },
      finalRate() {
        var dailyRate = 0;
        var base_rate = this.calculateValue;

        var monthPayRate = 0;
        var totalPayRate = 0;

        var pay_rate = this.calculateValue;
        var month = this.contractTimeline;

        monthPayRate = pay_rate * 20;

        totalPayRate = monthPayRate * month;

        return parseFloat(totalPayRate).toFixed(2);
      },
      monthly() {
        var monthPayRate = 0;
        var pay_rate = this.calculateValue;

        monthPayRate = pay_rate * 20;
        return parseFloat(monthPayRate).toFixed(2);
      }
    }
  };
</script>
<style>
  .copy-icon {
    margin-right: 5px;
    margin-left: 5px;
    height: 16px;
    width: 16px;
  }

  .textcolor {
    color: #969494 !important;

  }

  .textcolor1 {
    color: #969494 !important;
    margin: 3px 3px 3px 3px;
  }

  .label-inside-input {
    display: inline-block;

    border: 1px solid #DD6A75;
    margin-left: 10px;
  }

  .no-border {
    outline: none;
    border: none;
  }

  p {
    padding-bottom: 0px !important;
  }

  .label-info {


    padding-bottom: 10px !important;
    color: #969494 !important;
  }

  .label-info1 {
    color: #969494 !important;
  }

  .text-color2 {
    color: #DD6A75 !important;

  }

  .text-green {
    color: #138443;
    margin-left: 15px;
  }

  .space-bottom {
    text-align: right;
    margin-bottom: 20px;

  }

  .spacing-right {
    margin-left: 10px;
  }

  .font-size {
    font-size: 16px !important;
  }

  .months {
    width: 40px;

  }

  .position-left {
    margin-left: -40px;
  }

  .position-right {
    text-align: right;
  }

  .spacing1 {
    margin-left: 5px;
  }

  .custom-input{
    margin-left: -15px;
    margin-right: 5px;
  }
</style>